WhatsApp
Create a message template
Submit a message template to Meta for approval. Requires social:write.
POST
/
whatsapp
/
templates
Create a message template
curl --request POST \
--url https://api.smartlyq.com/v1/whatsapp/templates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"account_id": 123,
"name": "<string>",
"language": "en_US",
"components": [
{}
]
}
'import requests
url = "https://api.smartlyq.com/v1/whatsapp/templates"
payload = {
"account_id": 123,
"name": "<string>",
"language": "en_US",
"components": [{}]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({account_id: 123, name: '<string>', language: 'en_US', components: [{}]})
};
fetch('https://api.smartlyq.com/v1/whatsapp/templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Missing required fields: content, platforms.",
"details": {
"fields": [
"content",
"platforms"
]
}
},
"meta": {
"request_id": "req_9f3a2b1c-7d4e-4a08-b2c6-5e1f8a9d0c34",
"timestamp": "2026-07-26T09:41:22Z"
}
}Authorizations
API key from Developer dashboard (Bearer token).
Body
application/json
Response
Submitted for approval
The response is of type object.
⌘I
Create a message template

